
#include "stm32f4xx.h"
#include "key.h"


/*
*--------------------------------------------------------------------------------------------------------
* Function:       key_init
*---------------------------------------------------------------------------------------------------------
*/
void  key_init (void)
{ 
	GPIO_InitTypeDef GPIO_InitStructure;
	
    RCC_AHB1PeriphClockCmd(RCC_AHB1Periph_GPIO_CTR_Key, ENABLE);  /* Enable Port Clock                        */ 

    GPIO_InitStructure.GPIO_Pin   = GPIO_Pin_CTR_Key;	                             
    GPIO_InitStructure.GPIO_Speed = GPIO_Speed_2MHz;
    GPIO_InitStructure.GPIO_Mode  = GPIO_Mode_IN;
    GPIO_Init(GPIO_CTR_Key, &GPIO_InitStructure);                 /*Configure pull-pin input                 */	 
}


/*
*--------------------------------------------------------------------------------------------------------
* Function:        get_key_state
* Description:     Read key state functions
*---------------------------------------------------------------------------------------------------------
*/
u8  get_key_state (void)
{
    if (get_key_user_button == 0)
        return KEY_VALUE_URSER_BUTTON;
  
    return 0x00;
}



